Subject: [PATCH v4 4/8] PCI: brcmstb: Add dma-range mapping for inbound traffic

From: [email-masked] (Christoph Hellwig)
Date: Thu, 18 Jan 2018 08:31:23 +0100

On Wed, Jan 17, 2018 at 08:15:33PM -0600, Rob Herring wrote:
> > (a) overriding/redefining the dma_to_phys() and phys_to_dma() calls
> > that are used by the dma_ops routines.  This is the approach of
> >
> >         arch/mips/cavium-octeon/dma-octeon.c
> 
> MIPS is rarely an example to follow. :)

But in this case it actually is the example to follow as told previously.

NAK again for these chained dma ops that only create problems.